/**
 * @file
 * Provides JavaScript for Inline Entity Form.
 */

(($) => {
  let initialized;

  function applyGifPlayer() {
    if (!initialized) {
      initialized = true;

      $('.gifplayer').each(function () {
        $(this).gifplayer();
      });
    }
  }

  Drupal.behaviors.gifPlayer = {
    attach: (context, settings) => {
      // Apply gifPlayer.
      applyGifPlayer();
    },
  };
})(jQuery);
